<?php
// Dati di connessione al database
$host = 'localhost';
$dbname = 'TPS5g';
$username = 'TPS5g'; // Inserisci il tuo username per il database
$password = 'pw.24TPS5g'; // Inserisci la tua password per il database

try {
    // Connessione al database usando PDO
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    // Impostiamo l'errore a modalità eccezione
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Query per recuperare gli articoli
    $sql = "SELECT Marca, TipoArticolo, CodiceArticolo, Descrizione, Prezzo FROM articoli";
    $stmt = $pdo->query($sql); // Eseguiamo la query

    // Verifica se ci sono articoli
    if ($stmt->rowCount() > 0) {
        // Iniziamo la tabella HTML
        echo '<table>
                <thead>
                    <tr>
                        <th>Marca</th>
                        <th>Tipo Articolo</th>
                        <th>Codice Articolo</th>
                        <th>Descrizione</th>
                        <th>Prezzo</th>
                    </tr>
                </thead>
                <tbody>';

        // Cicliamo su ogni risultato e mostriamo i dati
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            echo '<tr>
                    <td>' . htmlspecialchars($row['Marca']) . '</td>
                    <td>' . htmlspecialchars($row['TipoArticolo']) . '</td>
                    <td>' . htmlspecialchars($row['CodiceArticolo']) . '</td>
                    <td>' . htmlspecialchars($row['Descrizione']) . '</td>
                    <td class="price">€ ' . number_format($row['Prezzo'], 2) . '</td>
                  </tr>';
        }

        // Chiudiamo il corpo della tabella
        echo '</tbody></table>';
    } else {
        echo "Nessun articolo trovato.";
    }

} catch (PDOException $e) {
    // Gestiamo gli errori di connessione
    echo "Errore nella connessione al database: " . $e->getMessage();
}

// Chiudiamo la connessione
$pdo = null;
?>
